# $Id: perl-Bit-Vector.spec,v 1.2 2002/09/17 14:56:38 homyakov Exp $

%define module_name Bit-Vector

Name: perl-%module_name
Summary: %module_name module for perl
Version: 6.3
Release: alt2

Group: Development/Perl
URL: http://www.cpan.org/modules/by-module/Bit/
Copyright: GPL or Artistic

Packager: Igor Homyakov <homyakov@altlinux.ru>

Source: http://www.cpan.org/modules/by-module/Bit/%module_name-%version.tar.gz
AutoReqProv: yes, perl

# Automatically added by buildreq on Mon Nov 04 2002
BuildRequires: perl-devel

%description
Bit::Vector is an efficient C library which allows you to handle
bit vectors, sets (of integers), "big integer arithmetic" and
boolean matrices, all of arbitrary sizes.

The library is efficient (in terms of algorithmical complexity)
and therefore fast (in terms of execution speed) for instance
through the widespread use of divide-and-conquer algorithms.

The package also includes an object-oriented Perl module for
accessing the C library from Perl, and optionally features
overloaded operators for maximum ease of use.

The C library can nevertheless be used stand-alone, without Perl.

%prep
%setup -q -n %module_name-%version

%build
%perl_vendor_build
%__perl -pi -e 's{^#!.*perl.*}{#!/usr/bin/perl -w}' examples/*

%install
%perl_vendor_install

%files
%doc *.txt examples/
%perl_vendor_archlib/Bit*
%perl_vendor_autolib/Bit*
%perl_vendor_archlib/Carp*
%perl_vendor_man3dir/*

%changelog
* Mon Nov 04 2002 Stanislav Ievlev <inger@altlinux.ru> 6.3-alt2
- rebuild with new perl

* Mon Sep 30 2002 Igor Homyakov <homyakov at altlinux dot ru> 6.3-alt1
- 6.3 

* Tue Sep 17 2002 Igor Homyakov <homyakov at altlinux dot ru> 6.2-alt1
- 6.2-alt1 
- cleanup spec file

* Wed Nov 14 2001 Igor Homyakov <homyakov@altlinux.ru> alt1 
- Build package for ALTLinux 
